#ifndef RTE_ADC_H
#define RTE_ADC_H

#include "TYW_stdint.h"


uint32_t RTE_ForceRead_KL15_Voltage(void);
uint32_t RTE_ForceRead_KL30_Voltage(void);

uint32_t RTE_Read_KL15_Voltage(void);
uint32_t RTE_Read_KL30_Voltage(void);
uint32_t RTE_Read_Fuel_ch1_Resistance(void);
uint32_t RTE_Read_Fuel_ch2_Resistance(void);



uint8_t RTE_Read_KL15_Valid(void);
uint8_t RTE_Read_KL30_Valid(void);
uint8_t RTE_Read_Fuel_ch1_Valid(void);
uint8_t RTE_Read_Fuel_ch2_Valid(void);


void RTE_ADC_Init(void);



#endif
